MyGUI: MyGUI::IFont Class Reference

MyGUI 3.2.2

Public Types | Public Member Functions | Static Public Member Functions
MyGUI::IFont Class Referenceabstract

`#include <MyGUI_IFont.h>`

Inheritance diagram for MyGUI::IFont:
[legend]

## Public Types
typedef RTTIBase | Base
typedef IFont | RTTIBase
Public Types inherited from MyGUI::IResource
typedef RTTIBase | Base
typedef IResource | RTTIBase
Public Types inherited from MyGUI::ISerializable
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
| IFont ()
virtual | ~IFont ()
virtual GlyphInfo * | getGlyphInfo (Char _id)=0
virtual ITexture * | getTextureFont ()=0
virtual int | getDefaultHeight ()=0
Public Member Functions inherited from MyGUI::IResource
template<typename Type >
bool | isType () const
const std::string & | getResourceName () const
void | setResourceName (const std::string &_value)
Public Member Functions inherited from MyGUI::ISerializable
template<typename Type >
bool | isType () const
| ISerializable ()
virtual | ~ISerializable ()
virtual void | serialization (xml::ElementPtr _node, Version _version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IResource
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISerializable
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Additional Inherited Members
Protected Member Functions inherited from MyGUI::IResource
| IResource ()
virtual | ~IResource ()
virtual void | deserialization (xml::ElementPtr _node, Version _version)
Protected Attributes inherited from MyGUI::IResource
std::string | mResourceName

## Detailed Description

Definition at line 20 of file MyGUI_IFont.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::IFont::Base

Definition at line 23 of file MyGUI_IFont.h.

## ◆ RTTIBase

typedef IFont MyGUI::IFont::RTTIBase

Definition at line 23 of file MyGUI_IFont.h.

## Constructor & Destructor Documentation

## ◆ IFont()

MyGUI::IFont::IFont | ( |  | ) |
| inline

Definition at line 26 of file MyGUI_IFont.h.

## ◆ ~IFont()

virtual MyGUI::IFont::~IFont | ( |  | ) |
| inlinevirtual

Definition at line 27 of file MyGUI_IFont.h.

## Member Function Documentation

## ◆ getClassTypeName()

static const std::string& MyGUI::IFont::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 23 of file MyGUI_IFont.h.

## ◆ getDefaultHeight()

virtual int MyGUI::IFont::getDefaultHeight | ( |  | ) |
| pure virtual

Implemented in MyGUI::ResourceTrueTypeFont, and MyGUI::ResourceManualFont.

## ◆ getGlyphInfo()

virtual GlyphInfo* MyGUI::IFont::getGlyphInfo | ( | Char | _id | ) |
| pure virtual

Implemented in MyGUI::ResourceTrueTypeFont, and MyGUI::ResourceManualFont.

## ◆ getTextureFont()

virtual ITexture* MyGUI::IFont::getTextureFont | ( |  | ) |
| pure virtual

Implemented in MyGUI::ResourceTrueTypeFont, and MyGUI::ResourceManualFont.

## ◆ getTypeName()

virtual const std::string& MyGUI::IFont::getTypeName | ( |  | ) | const
| inlinevirtual

Get type name as string

Reimplemented from MyGUI::IResource.

Reimplemented in MyGUI::ResourceTrueTypeFont, and MyGUI::ResourceManualFont.

Definition at line 23 of file MyGUI_IFont.h.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::IFont::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 23 of file MyGUI_IFont.h.

## ◆ isType() [2/2]

virtual bool MyGUI::IFont::isType | ( | const std::type_info & | _type | ) | const
| inlinevirtual

Compare with selected type

Reimplemented from MyGUI::IResource.

Reimplemented in MyGUI::ResourceTrueTypeFont, and MyGUI::ResourceManualFont.

Definition at line 23 of file MyGUI_IFont.h.

The documentation for this class was generated from the following file:

- MyGUI_IFont.h